Summary:        Keyboard and console utilities for Linux
Name: 		kbd
Version: 	1.12
Release: 	1
Group: 		System
License: 	GPL
URL: 		ftp://ftp.kernel.org/pub/linux/utils/kbd/
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	rc.keytable
Patch0: 	kbd-1.08-rukbd.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Provides: 	console-tools

%description
The kbd package contains tools for managing a Linux system's
console's behavior, including the keyboard, the screen fonts,
the virtual terminals and font files.

%prep
%setup -q
%patch0 -p1

%build
rm -rf %{buildroot}
./configure --prefix=/usr --datadir=/usr/lib/kbd --mandir=/usr/man
make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# Build hypermap keymap
m4 %{buildroot}/usr/lib/kbd/keymaps/i386/qwerty/hypermap.m4 | \
   gzip -c > %{buildroot}/usr/lib/kbd/keymaps/i386/qwerty/hypermap.map.gz
rm -f %{buildroot}/usr/lib/kbd/keymaps/i386/qwerty/hypermap.m4

# no-latin1 is moved to doc subpackage, install it with %doc macro
rm -f %{buildroot}/usr/lib/kbd/keymaps/i386/qwerty/no-latin1.doc
mv %{buildroot}/bin/loadkeys %{buildroot}/usr/bin/
mkdir -p %{buildroot}/sbin; ln -sf ../usr/bin/kbdrate %{buildroot}/sbin/kbdrate
cd %{buildroot}/bin; ln -sf ../usr/bin/* .
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{rc0.d,rc3.d}
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d; ln -sf ../../init.d/rc.keytable Kkeytable.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d; ln -sf ../../init.d/rc.keytable Skeytable.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/*
